<?php
class AddedProductIdColumnToOrderItemsTable extends CakeMigration {

/**
 * Migration description
 *
 * @var string
 */
	public $description = '';

/**
 * Actions to be performed
 *
 * @var array $migration
 */
	public $migration = array(
		'up' => array(
			'create_field' => array(
				'ev_checkout_order_items' => array(
					'product_id' => array('type' => 'integer', 'null' => true, 'default' => null, 'unsigned' => false, 'after' => 'order_id'),
				),
			),
			'alter_field' => array(
				'ev_checkout_orders' => array(
					'order_time' => array('type' => 'datetime', 'null' => false, 'default' => null),
					'delivery_subtotal' => array('type' => 'decimal', 'null' => false, 'default' => null, 'length' => '7,2', 'unsigned' => false),
					'delivery_vat' => array('type' => 'decimal', 'null' => false, 'default' => null, 'length' => '7,2', 'unsigned' => false),
					'delivery_total' => array('type' => 'decimal', 'null' => false, 'default' => null, 'length' => '7,2', 'unsigned' => false),
					'surcharge_subtotal' => array('type' => 'decimal', 'null' => false, 'default' => null, 'length' => '7,2', 'unsigned' => false),
					'surcharge_vat' => array('type' => 'decimal', 'null' => false, 'default' => null, 'length' => '7,2', 'unsigned' => false),
					'surcharge_total' => array('type' => 'decimal', 'null' => false, 'default' => null, 'length' => '7,2', 'unsigned' => false),
				),
				'users' => array(
					'is_guest_user' => array('type' => 'boolean', 'null' => true, 'default' => null),
				),
			),
		),
		'down' => array(
			'drop_field' => array(
				'ev_checkout_order_items' => array('product_id',),
			),
			'alter_field' => array(
				'ev_checkout_orders' => array(
					'order_time' => array('type' => 'datetime', 'null' => true, 'default' => null),
					'delivery_subtotal' => array('type' => 'float', 'null' => false, 'default' => '0.00', 'length' => '7,2', 'unsigned' => false),
					'delivery_vat' => array('type' => 'float', 'null' => false, 'default' => '0.00', 'length' => '7,2', 'unsigned' => false),
					'delivery_total' => array('type' => 'float', 'null' => false, 'default' => null, 'length' => '7,2', 'unsigned' => false),
					'surcharge_subtotal' => array('type' => 'float', 'null' => false, 'default' => '0.00', 'length' => '7,2', 'unsigned' => false),
					'surcharge_vat' => array('type' => 'float', 'null' => false, 'default' => '0.00', 'length' => '7,2', 'unsigned' => false),
					'surcharge_total' => array('type' => 'float', 'null' => false, 'default' => null, 'length' => '6,2', 'unsigned' => false),
				),
				'users' => array(
					'is_guest_user' => array('type' => 'boolean', 'null' => false, 'default' => null),
				),
			),
		),
	);

/**
 * Before migration callback
 *
 * @param string $direction, up or down direction of migration process
 * @return boolean Should process continue
 */
	public function before($direction) {
		return true;
	}

/**
 * After migration callback
 *
 * @param string $direction, up or down direction of migration process
 * @return boolean Should process continue
 */
	public function after($direction) {
		return true;
	}
}
